Page 1 of 1

Cannot install Wine Stable on Mint 19.3

Posted: Mon Jun 29, 2020 9:20 pm
by General Failure
Hola a todos…
Quise instalar Wine Stable en Linux Mint 19.3, siguiendo este tutorial,
y aparecen los siguientes errores los cuales no se como solucionar…
Realmente quedé desorientado, ¿alguien podría darme una orientación?
Gracias desde ya.

Hi all…
I wanted to install Wine Stable in Linux Mint 19.3, following this tutorial,
and the following errors appear which I don't know how to solve ...
I was really disoriented, could someone give me an orientation?
Thanks since now.

1) sudo dpkg --add-architecture i386

2) wget -nc https://dl.winehq.org/wine-builds/winehq.key

3) sudo apt-key add winehq.key

4) sudo xed /etc/apt/sources.list
deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main
deb https://download.opensuse.org/repositor ... ntu_18.04/ ./

5) sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys DFA175A75104960E

6) sudo apt update

7) sudo apt upgrade -y

7) sudo apt install --install-recommends winehq-stable

8) winecfg



Antes que nada, la configuración de mi máquina:
First of all, my machine settings:


System: Host: Voyager Kernel: 5.3.0-61-generic x86_64 bits: 64 compiler: gcc v: 7.5.0
Desktop: Cinnamon 4.4.8 wm: muffin dm: LightDM Distro: Linux Mint 19.3 Tricia
base: Ubuntu 18.04 bionic
CPU: Topology: Dual Core model: AMD Athlon II X2 B26 bits: 64 type: MCP arch: K10 rev: 3
L2 cache: 2048 KiB
flags: lm nx pae sse sse2 sse3 sse4a svm bogomips: 12858
Repos: Active apt repos in: /etc/apt/sources.list
1: deb https: //dl.winehq.org/wine-builds/ubuntu/ bionic main
2: deb https: //download.opensuse.org/repositories/Emulators:/Wine:/Debian/xUbuntu_18.04/ ./
Active apt repos in: /etc/apt/sources.list.d/alex-p-aegisub-bionic.list
1: deb http: //ppa.launchpad.net/alex-p/aegisub/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/gezakovacs-ppa-bionic.list
1: deb http: //ppa.launchpad.net/gezakovacs/ppa/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/google-earth-pro.list
1: deb [arch=amd64] http: //dl.google.com/linux/earth/deb/ stable main
Active apt repos in: /etc/apt/sources.list.d/nilarimogard-webupd8-bionic.list
1: deb http: //ppa.launchpad.net/nilarimogard/webupd8/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
1: deb http: //packages.linuxmint.com tricia main upstream import backport #id:linuxmint_main
2: deb http: //archive.ubuntu.com/ubuntu bionic main restricted universe multiverse
3: deb http: //archive.ubuntu.com/ubuntu bionic-updates main restricted universe multiverse
4: deb http: //archive.ubuntu.com/ubuntu bionic-backports main restricted universe multiverse
5: deb http: //security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
6: deb http: //archive.canonical.com/ubuntu/ bionic partner
Active apt repos in: /etc/apt/sources.list.d/pedrocastro-ppa-bionic.list
1: deb http: //ppa.launchpad.net/pedrocastro/ppa/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/skype-stable.list
1: deb [arch=amd64] https: //repo.skype.com/deb stable main
Active apt repos in: /etc/apt/sources.list.d/stebbins-handbrake-releases-bionic.list
1: deb http: //ppa.launchpad.net/stebbins/handbrake-releases/ubuntu bionic main
Active apt repos in: /etc/apt/sources.list.d/teamviewer.list
1: deb http: //linux.teamviewer.com/deb stable main



Las respuestas de la Terminal:
Terminal responses:


jose@Voyager:~$ sudo dpkg --add-architecture i386
jose@Voyager:~$ wget -nc https://dl.winehq.org/wine-builds/winehq.key
El fichero “winehq.key” ya está ahí, no se recupera.

jose@Voyager:~$ sudo apt-key add winehq.key
OK
jose@Voyager:~$ sudo xed /etc/apt/sources.list

(xed:8294): IBUS-WARNING **: 21:33:53.379: The owner of /home/jose/.config/ibus/bus is not root!

** (xed:8294): WARNING **: 21:34:03.828: Set document metadata failed: Establecer el atributo metadata::xed-spell-language no está soportado

** (xed:8294): WARNING **: 21:34:03.828: Set document metadata failed: Establecer el atributo metadata::xed-encoding no está soportado

(xed:8294): Gtk-CRITICAL **: 21:34:06.039: gtk_notebook_get_tab_label: assertion 'list != NULL' failed

(xed:8294): Gtk-CRITICAL **: 21:34:06.095: gtk_notebook_get_tab_label: assertion 'list != NULL' failed

** (xed:8294): WARNING **: 21:34:06.187: Set document metadata failed: Establecer el atributo metadata::xed-position no está soportado
jose@Voyager:~$ sudo apt-key adv –keyserver keyserver.ubuntu.com –recv-keys DFA175A75104960E
Executing: /tmp/apt-key-gpghome.zo7XCdwqyJ/gpg.1.sh –keyserver keyserver.ubuntu.com –recv-keys DFA175A75104960E
gpg: ADVERTENCIA: no se ha proporcionado ninguna orden. Intentando adivinar lo que quieres...
uso: gpg [opciones] [filename]
jose@Voyager:~$ sudo apt update
Ign:1 http://dl.google.com/linux/earth/deb stable InRelease
Obj:2 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease
Obj:3 http://linux.teamviewer.com/deb stable InRelease
Obj:4 https://repo.skype.com/deb stable InRelease
Des:5 http://dl.google.com/linux/earth/deb stable Release [933 B]
Des:6 http://dl.google.com/linux/earth/deb stable Release.gpg [819 B]
Ign:7 http://packages.linuxmint.com tricia InRelease
Des:8 http://security.ubuntu.com/ubuntu bionic-security InRelease [88,7 kB]
Obj:9 http://ppa.launchpad.net/alex-p/aegisub/ubuntu bionic InRelease
Obj:10 http://packages.linuxmint.com tricia Release
Ign:6 http://dl.google.com/linux/earth/deb stable Release.gpg
Obj:11 http://archive.canonical.com/ubuntu bionic InRelease
Obj:12 http://archive.ubuntu.com/ubuntu bionic InRelease
Des:14 http://archive.ubuntu.com/ubuntu bionic-updates InRelease [88,7 kB]
Obj:15 http://ppa.launchpad.net/gezakovacs/ppa/ubuntu bionic InRelease
Obj:17 http://ppa.launchpad.net/nilarimogard/webupd8/ubuntu bionic InRelease
Des:16 https://download.opensuse.org/repositor ... untu_18.04 ./ InRelease [1.562 B]
Err:16 https://download.opensuse.org/repositor ... untu_18.04 ./ InRelease
Las firmas siguientes no se pudieron verificar porque su clave pública no está disponible: NO_PUBKEY DFA175A75104960E
Des:18 http://archive.ubuntu.com/ubuntu bionic-backports InRelease [74,6 kB]
Obj:19 http://ppa.launchpad.net/pedrocastro/ppa/ubuntu bionic InRelease
Obj:20 http://ppa.launchpad.net/stebbins/handb ... ses/ubuntu bionic InRelease
Leyendo lista de paquetes... Hecho
W: Error de GPG: http://dl.google.com/linux/earth/deb stable Release: Las firmas siguientes no se pudieron verificar porque su clave pública no está disponible: NO_PUBKEY 78BD65473CB3BD13
E: El repositorio «http://dl.google.com/linux/earth/deb stable Release» no está firmado.
N: No se puede actualizar de un repositorio como este de forma segura y por tanto está deshabilitado por omisión.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.
W: Error de GPG: https://download.opensuse.org/repositor ... untu_18.04 ./ InRelease: Las firmas siguientes no se pudieron verificar porque su clave pública no está disponible: NO_PUBKEY DFA175A75104960E
E: El repositorio «https://download.opensuse.org/repositor ... untu_18.04 ./ InRelease» no está firmado.
N: No se puede actualizar de un repositorio como este de forma segura y por tanto está deshabilitado por omisión.
N: Vea la página de manual apt-secure(8) para los detalles sobre la creación de repositorios y la configuración de usuarios.
jose@Voyager:~$ sudo apt upgrade -y
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Calculando la actualización... Hecho
Los paquetes indicados a continuación se instalaron de forma automática y ya no son necesarios.
linux-headers-5.3.0-51 linux-headers-5.3.0-51-generic linux-headers-5.3.0-53
linux-headers-5.3.0-53-generic linux-image-5.3.0-51-generic linux-image-5.3.0-53-generic
linux-modules-5.3.0-51-generic linux-modules-5.3.0-53-generic linux-modules-extra-5.3.0-51-generic
linux-modules-extra-5.3.0-53-generic
Utilice «sudo apt autoremove» para eliminarlos.
0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 0 no actualizados.
jose@Voyager:~$ sudo apt install --install-recommends winehq-stable
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
winehq-stable : Depende: wine-stable (= 5.0.1~bionic)
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
jose@Voyager:~$

Re: Cannot install Wine Stable on Mint 19.3

Posted: Mon Jun 29, 2020 9:58 pm
by Pierre
Do have an Read of this Tutorial:
viewtopic.php?f=90&t=314921
on Installing the ./wine program onto your LinuxMint 19x machine.

to see if that is of any assistance, in that you have not done, so far.

Re: Cannot install Wine Stable on Mint 19.3

Posted: Fri Jul 03, 2020 7:52 pm
by General Failure
Una vez más la respuesta de la terminal:
Once more the terminal response:

jose@Voyager:~$ apt install --install-recommends wine-installer
[sudo] contraseña para jose:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios aún no se han creado o se
han sacado de «Incoming».
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
wine-installer : Depende: winehq-stable pero no va a instalarse o
winehq-devel pero no va a instalarse o
winehq-staging pero no va a instalarse
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
jose@Voyager:~$ ^C
jose@Voyager:~$


E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.
E: The problems could not be corrected, you have retained broken packages.

I think I have "broken packages" or unsuccessful installation, but I have no idea how to repair it.
It's possible to purge a bad installation?

Thanks "Pierre" for your response, and of course to others...